@import url("https://fonts.googleapis.com/css2?family=Martel:wght@400;800&family=Roboto:wght@300;400;500&display=swap");
/* Global styles */
.window-app {
  font-family: "Roboto", sans-serif;
  font-size: 9pt;
}

.rollable:hover, .rollable:focus, .minus:hover {
  color: #000;
  text-shadow: 0 0 10px red;
  cursor: pointer;
}

.selectable:hover, .selectable:focus, .plus:hover {
  color: #000;
  text-shadow: 0 0 10px green;
  cursor: pointer;
}

.inHeader,
.inEffect {
  background-color: #88cc88;
}

#sheet {
  display: grid;
  grid-template-rows: min-content min-content 375px;
}

#personal {
  grid-area: personal;
  display: grid;
  grid-template:
    "portrait actorname basicmove"
    "portrait tracked basicmove";
  grid-template-columns: 100px 1fr auto;
  grid-template-rows: 55px 50px;
  grid-gap: 2px;
}

#portrait {
  grid-area: portrait;
  display: grid;
  align-self: center;
}

.portrait {
  min-width: 100px;
  min-height: 100px;
}

#actorname {
  grid-area: actorname;
  display: grid;
  grid-template-columns: 1fr auto;
  grid-gap: 5px;
  height: 55px;
  align-items: center;
}

.charname {
  font-weight: bold;
  align-self: center;
  min-height: 50px;
}

#basicmove {
  display: grid;
  grid-template-rows: repeat(6, 1fr);
  align-items: center;
}

.basicmove {
  display: grid;
  grid-template-columns: 36px 28px;
  grid-gap: 2px;
  justify-items: right;
}

#tracked {
  grid-area: tracked;
  display: grid;
  grid-template-columns: repeat(5, auto);
  grid-gap: 2px;
}

#trackedpool,
#basicspeed {
  display: grid;
  grid-template-rows: repeat(2, auto);
  border: 2px groove darkgoldenrod;
  min-width: 58px;
}

#conditionalinjury {
  display: grid;
  grid-template-rows: repeat(2, auto);
  border: 2px groove darkgoldenrod;
  min-width: 80px;
}

#conditionalinjury,
#trackedpool {
  grid-template-columns: repeat(2, auto);
}

#tabselect {
  border-top: 2px groove darkgoldenrod;
  padding-top: 5px;
  padding-bottom: 5px;
}

#skills,
#spells,
#techniques,
#ritualmagicspells,
#checks,
#defences,
#modifiers {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  border-top: 2px groove darkgoldenrod;
}

#gurpsitems,
#hitlocs,
#equips,
#traits,
#attacks,
#specificmods {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  border-top: 2px groove darkgoldenrod;
}

#attacks {
  grid-template-rows: repeat(2, auto);
}

.meleeattack {
  display: grid;
  grid-template-columns: repeat(4, auto);
}

.rangedattack {
  display: grid;
  grid-template-columns: repeat(8, auto);
}

.global-modifier {
  background-color: #d8e8D8;
}

.hitloc,
.equip,
.trait,
.global-modifier,
.check,
.modifier,
.specificmod,
.attack,
.defence,
.gurpsitem {
  display: grid;
  padding: 2px;
  border: 1px dotted grey;
  margin: 1px;
}

.hitloc .title,
.trait .title,
.equip .title,
.global-modifier,
.check,
.attack,
.defence,
.gurpsitem {
  font-weight: bold;
}

.gurpsitem {
  grid-template-columns: 18px 18px 18px 1fr 1fr 2fr;
}

.defence {
  grid-template-columns: 1fr;
  color: darkgreen;
}

.attack {
  grid-template-columns: 1fr auto;
  color: darkred;
  gap: 2px;
}

.specificmod {
  grid-template-columns: 0fr 1fr;
}

.modifier {
  grid-template-columns: 0fr 1fr;
}

.check {
  grid-template-columns: 1fr auto;
}

.pool,
.trait {
  grid-template-columns: auto 1fr;
  gap: 5px;
}

.equip {
  grid-template-columns: auto 1fr;
  gap: 5px;
}

.equipleft {
  grid-template-rows: repeat(2, auto);
}

.hitloc {
  grid-template-columns: 0fr auto 1fr;
  gap: 5px;
}

.check .title {
  grid-column: 1 / 3;
  justify-self: center;
  align-items: center;
  width: 100%;
}

.roll-content {
  display: grid;
  grid-template-columns: 16px 28px;
  justify-content: center;
  align-items: center;
}

.title,
.left-title {
  justify-self: center;
  align-items: center;
  text-align: center;
  width: 100%;
}

.right-roll-content {
  display: grid;
  grid-template-columns: 48px 16px;
  justify-content: center;
  align-items: center;
}

.single-content {
  display: grid;
  grid-template-columns: 28px;
  justify-content: center;
  align-items: center;
}

.minus-content-plus {
  display: grid;
  grid-template-columns: 16px auto 16px 1fr;
  justify-items: center;
  align-items: center;
}

.content-plus-minus {
  display: grid;
  grid-template-rows: 1fr 1fr;
  justify-items: center;
  align-items: center;
}

.plus-minus {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-items: center;
  align-items: center;
  grid-gap: 2px;
  margin: 2px;
}

.cpmtitle {
  grid-column: 1 / 3;
  text-align: center;
  width: 100%;
}

.damage-dice {
  width: 40px;
  text-align: center;
}

.counter {
  width: 15px;
  font-size: 100%;
  text-align: center;
}

.sheet input {
  text-align: center;
  height: auto;
  margin: auto;
}

.right-roll-content input,
.left-title input,
.title input {
  font-weight: bold;
  background: none;
  border-style: hidden;
  width: 100%;
}

.title label {
  text-align: center;
  font-weight: bold;
  color: rgb(144, 144, 144);
  background: none;
  border-style: hidden;
}
.header {
  text-align: center;
  padding-left: 2px;
  padding-right: 2px;
  font-size: 80%;
  font-weight: bold;
  align-self: center;
  color: rgb(144, 144, 144);
}

.label {
  font-size: 80%;
    white-space: nowrap;
}

.bold {
  font-weight: bold;
}

.right {
  text-align: right;
  padding-left: 2px;
  padding-right: 2px;
  align-self: center;
  color: rgb(144, 144, 144);
}

.center {
  text-align: center;
  padding-left: 2px;
  padding-right: 2px;
  align-self: center;
  color: rgb(144, 144, 144);
}

.left {
  text-align: left;
  padding-left: 2px;
  padding-right: 2px;
  align-self: center;
  color: rgb(144, 144, 144);
}

/* fix the message background */
.message {
  background-color: rgb(224,224,224);
  color: rgb(64,64,64);
}

/* Styles limited to gurps4e sheets

.gurps4e.actor .sheet-body {
  overflow-y: auto;
  overflow-x: auto;
}
 */